# Class: YARD::Parser::Ruby::ClassNode

Inherits:
  KeywordNode
  - Object
  - Array
  - AstNode
  - KeywordNode
  - YARD::Parser::Ruby::ClassNode
  show all

Defined in:
  lib/yard/parser/ruby/ast_node.rb

## Managing node state collapse

- #block ⇒ Object
- #class_name ⇒ Object
- #superclass ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::AstNode

## Instance Method Details

### #block ⇒ `Object`

    534

    # File 'lib/yard/parser/ruby/ast_node.rb', line 534

    def block; last end

### #class_name ⇒ `Object`

    532

    # File 'lib/yard/parser/ruby/ast_node.rb', line 532

    def class_name; first end

### #superclass ⇒ `Object`

    533

    # File 'lib/yard/parser/ruby/ast_node.rb', line 533

    def superclass; type == :sclass ? nil : self[1] end